Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 11-27-06, 10:29 AM   #1
oll2
Registered User
 
Join Date: Nov 2006
Posts: 3
Default FC6 And Kmod-nvidia-legacy Driver

Hi,
After install kmod-nvidia-legacy driver with yum on FC6, I got this error on boot:

Enabling nvidia legacy driver error: editig failed, restorring backup

Don't know how to fix this. Please help

oll2
oll2 is offline   Reply With Quote
Old 11-27-06, 11:41 AM   #2
Belegdol
Registered User
 
Join Date: Oct 2004
Posts: 118
Default Re: FC6 And Kmod-nvidia-legacy Driver

It looks like /usr/sbin/nvidia-config-display has failed to edit your /etc/X11/xorg.conf. You can either try enabling it with nvidia-xconfig utility, or edit the config file by hand. Hope that helps.
Belegdol is offline   Reply With Quote
Old 11-27-06, 12:59 PM   #3
oll2
Registered User
 
Join Date: Nov 2006
Posts: 3
Default Re: FC6 And Kmod-nvidia-legacy Driver

Quote:
Originally Posted by Belegdol
It looks like /usr/sbin/nvidia-config-display has failed to edit your /etc/X11/xorg.conf. You can either try enabling it with nvidia-xconfig utility, or edit the config file by hand. Hope that helps.
Were is the nvidia-xconfig?? How can i use it?

Thanks for your help

oll2
oll2 is offline   Reply With Quote
Old 11-28-06, 01:24 AM   #4
fozner
Registered User
 
Join Date: Sep 2005
Posts: 63
Default Re: FC6 And Kmod-nvidia-legacy Driver

There is another caveat with this setup. The legacy driver does not support composite, but Fedora Core 6 enables composite by default, even if there is no composite extension in xorg.conf! What happens next is the desktop will load but the logs will say (EE) Could not load GLX.

To disable it and make legacy driver work with GLX, add the following to xorg.conf

Section "Extensions"
Option "Composite" "Disable"
EndSection
fozner is offline   Reply With Quote
Old 11-28-06, 10:11 AM   #5
oll2
Registered User
 
Join Date: Nov 2006
Posts: 3
Thumbs up Re: FC6 And Kmod-nvidia-legacy Driver

Fixed!!!!

How?

1. edit xorg.config, then...

2. #system-config-display

then select "nvidia driver..." not the nv driver, select your CRT and resolution.
Save and restart X server.

May be you can do with step 2 only.

Quote:
To disable it and make legacy driver work with GLX, add the following to xorg.conf

Section "Extensions"

Option "Composite" "Disable"

EndSection
fozner thanks for this hint, I see this EE in my X log. It can be force to use
the GLX with Option "AllowGLXWithComposite" "boolean". I use this to see if I can run FC6 desktop-efects but don't work. The driver reedme in APPENDIX U: THE COMPOSITE X EXTENSION:

"Full Composite support will require additional driver support."

So this driver I think dosen't suport AIGLX at all. Ther is still other option,Xgl.
I will try this next.

oll2
oll2 is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 05:47 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.